Loading...
Searching...
No Matches
_point_put< T >

## Detailed Description

template<class T>
struct rheolef::_point_put< T >

point output helper

Definition at line 163 of file geo.h.

## Public Types

typedef point_basic< T >::size_type | size_type

## Public Member Functions

| _point_put (size_type d1)
std::ostream & | operator() (std::ostream &os, const point_basic< T > &x)

## Public Attributes

size_type | d

## Member Typedef Documentation

## size_type

template<class T >

typedef point_basic<T>::size_type size_type

Definition at line 164 of file geo.h.

## Constructor & Destructor Documentation

## _point_put()

template<class T >

_point_put | ( | size_type | d1 | ) |

Definition at line 165 of file geo.h.

## Member Function Documentation

## operator()()

template<class T >

std::ostream & operator() | ( | std::ostream & | os,
|  | const point_basic< T > & | x
| ) |  |

Definition at line 167 of file geo.h.

## Member Data Documentation

## d

template<class T >

size_type d

Definition at line 166 of file geo.h.

The documentation for this struct was generated from the following file:

- /build/rheolef-mDkPTY/rheolef-7.2/main/lib/geo.h